Bug 1465481 - Test case failure: /CoreOS/mariadb55/testsuite - perfschema.func_file_io / aarch64
Test case failure: /CoreOS/mariadb55/testsuite - perfschema.func_file_io / aa...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mariadb (Show other bugs)
7.4
aarch64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Michal Schorm
qe-baseos-daemons
:
Depends On:
Blocks: 1481451
  Show dependency treegraph
 
Reported: 2017-06-27 09:59 EDT by Karel Volný
Modified: 2018-06-20 22:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2017-06-27 09:59:35 EDT
Filed from caserun https://tcms.engineering.redhat.com/run/313459/#caserun_15869111

Version-Release number of selected component (if applicable):
rhel-7

Steps to Reproduce: 
run the test


Actual results: 
perfschema.func_file_io                  [ fail ]
        Test ended at 2017-06-27 08:28:18

CURRENT_TEST: perfschema.func_file_io
--- /usr/share/mysql-test/suite/perfschema/r/func_file_io.result	2017-04-30 07:09:30.000000000 -0400
+++ /usr/share/mysql-test/suite/perfschema/r/func_file_io.reject	2017-06-27 08:28:18.014813331 -0400
@@ -21,7 +21,7 @@
 1
 SELECT IF(@before_count > 0, 'Success', 'Failure') has_instrumentation;
 has_instrumentation
-Success
+Failure
 SELECT * FROM t1 WHERE id < 4;
 id	b
 1	initial value
@@ -36,7 +36,7 @@
 1
 SELECT IF((@after_count - @before_count) > 0, 'Success', 'Failure') test_ff1_timed;
 test_ff1_timed
-Success
+Failure
 UPDATE performance_schema.setup_instruments SET enabled='NO';
 SET @before_count = (SELECT SUM(TIMER_WAIT)
 FROM performance_schema.events_waits_history_long

mysqltest: Result content mismatch

 - saving '/var/lib/mysql/testmNs/log/perfschema.func_file_io/' to '/var/lib/mysql/testmNs/log/perfschema.func_file_io/'
Comment 4 Yaakov Selkowitz 2017-10-18 00:11:07 EDT
This same test failed in Fedora back when (bug 1050974) and still fails in mariadb-galera on aarch64 (bug 1431738).  The only "solution" I have seen so far is to skip those particular tests on both %{arm} and aarch64.

Note You need to log in before you can comment on or make changes to this bug.